goLaTeX - Mein LaTeX-Forum

Mein LaTeX-Forum


Login  | Registrieren
Direktlinks:
Zuletzt aktive Beiträge
Unbeantwortete Beiträge
[Erweitert]

Forenstatistik:
Beiträge: 99383
Top-Poster: Johannes_B (5059)

Wir begrüßen unseren neuesten Benutzer naderda.

Links:


Mit Unterstützung von DANTE e.V.: Deutschsprachige Anwendervereinigung TeX. Danke den Mitgliedern!





Forum
      Option
[Erweitert]
  • Diese Seite weiterempfehlen
     


Gehe zu:  
Neues Thema eröffnen Neue Antwort erstellen

Bei fancyhdr Punkt in der Kopfzeile

 

Eduard
Forum-Guru
Forum-Guru

Beiträge: 286
Anmeldedatum: 02.05.15
Wohnort: ---
Version: TeX Shop Version 4.31 (4.31)
     Beitrag Verfasst am: 02.08.2019, 11:22     Titel: Bei fancyhdr Punkt in der Kopfzeile
  Antworten mit Zitat      
Würde gerne in der Kopfzeile den Punkt nach der Zahl haben.

Code • Öffne in Overleaf

\documentclass[12pt,a4paper,oneside,numbers=withenddot]{scrartcl}
\usepackage[ngerman]{babel}
\usepackage[T1]{fontenc}
\usepackage{fancyhdr}
\pagestyle{fancy}
%\fancyhf{}
\fancyhead[L]{\nouppercase{\leftmark}}
\fancyhead[R]{\thepage}

\begin{document}

\section{Einleitung}

\end{document}
Private Nachricht senden Benutzer-Profile anzeigen

Gast


Beiträge: ---
Anmeldedatum: ---
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 02.08.2019, 12:11     Titel:
  Antworten mit Zitat      
Beachte die Warnung in der log-Datei, dann funktioniert das automatisch.

BTW: a4paper und oneside sind Voreinstellung und können weg.

Eduard
Forum-Guru
Forum-Guru

Beiträge: 286
Anmeldedatum: 02.05.15
Wohnort: ---
Version: TeX Shop Version 4.31 (4.31)
     Beitrag Verfasst am: 02.08.2019, 12:16     Titel:
  Antworten mit Zitat      
Ich erhalte keine Warnung.
Private Nachricht senden Benutzer-Profile anzeigen

esdd
Forum-Meister
Forum-Meister

Beiträge: 2462
Anmeldedatum: 07.02.10
Wohnort: Stutensee
Version: MiKTeX 2.9
     Beitrag Verfasst am: 02.08.2019, 12:45     Titel:
  Antworten mit Zitat      
Eduard hat Folgendes geschrieben:
Ich erhalte keine Warnung.


Welche KOMA-Script Version verwendest Du dann? Ich bekomme mit allen bei mir verfügbaren eine Warnung mit dem Hinweis für KOMA-Script Klassen nicht fancyhdr zu nutzen, weil es etliche KOMA-Script Optionen nicht unterstützt. Die von Dir gewünschte gehört dazu ... Als Alternative wird die Verwendung von scrlayer-scrpage vorgeschlagen.

Beispiel:

Code • Öffne in Overleaf

\documentclass[12pt,numbers=withenddot]{scrartcl}
\usepackage[ngerman]{babel}
\usepackage[T1]{fontenc}

\usepackage[automark,headsepline,markcase=noupper]{scrlayer-scrpage}
\clearmainofpairofpagestyles
\ihead{\leftmark}
\ohead{\pagemark}
\setkomafont{pageheadfoot}{\normalfont\normalcolor}

\begin{document}
\section{Einleitung}
\end{document}
 
Private Nachricht senden Benutzer-Profile anzeigen

Gast


Beiträge: ---
Anmeldedatum: ---
Wohnort: ---
Version: ---
     Beitrag Verfasst am: 02.08.2019, 13:47     Titel:
  Antworten mit Zitat      
Eduard hat Folgendes geschrieben:
Ich erhalte keine Warnung.

Falls das tatsächlich der Wahrheit entspricht: Die Warnung existiert in KOMA-Script seit Version 3.12.1350 vom Juli 2013 also mehr als 6 Jahren! Daher empfehle ich dringend ein Update von KOMA-Script und eigentlich der gesamten TeX-Distribution.

Neues Thema eröffnen Neue Antwort erstellen



Options and Permissions
Beiträge der letzten Zeit anzeigen:

Du kannst Beiträge in dieses Forum schreiben.
Du kannst auf Beiträge in diesem Forum antworten.
Du kannst deine Beiträge in diesem Forum nicht bearbeiten.
Du kannst deine Beiträge in diesem Forum nicht löschen.
Du kannst an Umfragen in diesem Forum nicht mitmachen.
Du kannst Dateien in diesem Forum nicht posten
Du kannst Dateien in diesem Forum herunterladen
.

goLaTeX ist Teil der goForen
goForen.de goMATLAB.de goLaTeX.de


  Datenschutzerklärung | Impressum | FAQ | goLaTeX RSS Button RSS-Feed

Copyright © 2008 - 2019 goLaTeX.de